## mcrypt 2.6.8

=== debian/changelog ===
mcrypt (2.6.8-9) unstable; urgency=medium

  * remove unnecessary rules-requires-root:no line
  * pass -std=gnu17 to solve FTBFS with GCC-17 (closes: #1097377)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Sep 2025 14:36:16 +0100

mcrypt (2.6.8-8) unstable; urgency=medium

  * trim dependencies per janitor
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 16 Sep 2024 15:53:02 +0100

mcrypt (2.6.8-7) unstable; urgency=medium

  * Add internal functions declaration, mod to upstream (closes: #1066256)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 21 Mar 2024 13:28:07 +0000

mcrypt (2.6.8-6) unstable; urgency=medium

  * mv configure.in configure.ac
  * autotools updates
    - merge cygwin patch
    - obey autoupdate and autoreconf
    - remove autotools-generated files
    - include some types in generated API descriptions
  * remove debian/rules cruft
    - make sure configure.in stays dead despite dpkg-source's removal quirks
  * rcsid? Wow (remove)
  * spelling fixes
  * update po/
  * adopt package (closes: #917897)

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 12 Jan 2022 18:57:08 +0000

mcrypt (2.6.8-5) unstable; urgency=medium

  * QA upload.
  * Run wrap-and-sort -a.
  * Using new DH level format. Consequently:
      - debian/compat: remove.
      - debian/control: change from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bump debhelper-compat to 13.
  * debian/control:
      - Add Rules-Requires-Root: no.
      - Bump Standards-Version to 4.6.0.
      - Drop Uploaders field because it is an orphan package.
      - Update VCS fields to use Salsa.
  * debian/rules:
      - Add DEB_BUILD_MAINT_OPTIONS to improve GCC hardening.
      - Drop trailing whitespace.
  * Add debian/salsa-ci.yml.
  * Add debian/source/format with "1.0".
  * Drop debian/source.lintian-overrides.
  * Drop trailing whitespace in debian/changelog.
  * Update debian/watch.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 21 Sep 2021 13:25:47 +0000

mcrypt (2.6.8-4) unstable; urgency=medium

  * QA Upload (sigh, third time is a charm?)
  * Also explicitly pass BZIP2=/bin/bzip2 to configure

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 06 Dec 2018 19:18:55 +0100

mcrypt (2.6.8-3) unstable; urgency=medium

  * QA Upload.
  * Use full path for GZIP=/bin/gzip configure argument anyway.
    - unfortunately configure ignores values that is not a full
      path, so we can't avoid using full path.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Dec 2018 23:18:36 +0100

mcrypt (2.6.8-2) unstable; urgency=medium

  * QA Upload.

  [ Andreas Henriksson ]
  * Orphan package (no maintainer uploads since >= old-old-stable).
  * Pass GZIP=gzip to configure to avoid needlessly embedding full path
    - fixes reproducible build on merged-usr vs non-merged systems.

  [ Benjamin Kerensa ]
  * Fix typo in package description (Closes: #526780)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 01 Dec 2018 19:30:03 +0100

mcrypt (2.6.8-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Fix cve-2012-4527: long file name buffer overflow (closes: #690924).

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 02 Nov 2012 19:04:58 +0000

mcrypt (2.6.8-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix three other buffer overflows in check_file_head.
  * Fix use of uninitialized data when no salt is used.
  * Enable hardening flags.

 -- Raphael Geissert <geissert@debian.org>  Sat, 15 Sep 2012 13:40:02 -0500

mcrypt (2.6.8-1.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2012-4409: buffer overflow when decrypting a file with a too
    long salt.
  * No id: format-string attacks via file name arguments and possibly
    others.

 -- Raphael Geissert <geissert@debian.org>  Thu, 06 Sep 2012 15:38:44 -0500

mcrypt (2.6.8-1) unstable; urgency=low

  * new upstream version (closes: #514562)
    - incorporating changes from NMUs, thanks! (closes: #370694, #372103)
    - please note that in Debian the default setting is to not use
      OpenPGP fileformat by default, due to stability issues
    - fixes the --list-hash typo in the manpage (closes: #421973, #317530)
  * added bzip2 as build and package dependency (closes: #348805)
  * debian/control: added collab-maint Vcs-* fields
    - cleaned up and regenerated every autotools generated file
  * updated the swedish translations (closes: #351167)
  * updated the german translations (closes: #313987)

 -- RISKO Gergely <risko@debian.org>  Sun, 29 Mar 2009 23:08:23 +0300

mcrypt (2.6.4-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * Add automake1.7 to build-dependencies; fixes FTBFS. (Closes: #372076)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu,  8 Jun 2006 11:07:58 +0200

mcrypt (2.6.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Hack around other libraries #undef-ing VERSION by creating a duplicate
    variable MCRYPT_VERSION in configure.in and config.h, rerunning autoconf,
    and using that in src/mcrypt.c; fixes FTBFS. (Closes: #340008)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  6 Jun 2006 14:41:22 +0200

mcrypt (2.6.4-3) unstable; urgency=low

  * updated the description and added new url to the copyright
    (closes: #274554)

 -- RISKO Gergely <risko@debian.org>  Mon, 21 Mar 2005 01:01:04 +0100

mcrypt (2.6.4-2) unstable; urgency=low

  * Maintainer upload to close bugs, already fixed by aroldan (thanks)
  * mcrypt(1) manpage fixes, see also fixes (closes: #171764)
  * new upstream version (closes: #211387)
  * added code snipplet to debian/rules to make config.sub, config.guess
    up-to-date
  * delete configure cache, log, etc. files when cleaning

 -- RISKO Gergely <risko@debian.org>  Fri, 13 Aug 2004 17:55:44 +0200

mcrypt (2.6.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version. (closes: #211387)
  * Fixed typos in mcrypt(1) manpage. (closes: #171764)

