=== debian/control ===
Source: mcrypt
Section: utils
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 4.7.0
Homepage: https://mcrypt.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/mcrypt
Vcs-Git: https://salsa.debian.org/debian/mcrypt.git
Build-Depends: bzip2,
               debhelper-compat (= 13),
               gettext,
               libmcrypt-dev,
               libmhash-dev,
               zlib1g-dev

Package: mcrypt
Architecture: any
Depends: bzip2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Replacement for old unix crypt(1)
 mcrypt is a crypting program, intended to be replacement for the old
 unix crypt(1).  But it can do a lot more, since with its libmcrypt
 library it can encrypt and decrypt with the following algorithms:
 BLOWFISH, TWOFISH, DES, TripleDES, 3-WAY, SAFER-sk64, SAFER-sk128,
 SAFER+, OKI97, GOST, RC2, RC6, MARS, IDEA, RIJNDAEL-128,
 RIJNDAEL-192, SERPENT, RIJNDAEL-256, CAST-128 (known as CAST5),
 CAST-256, ARCFOUR, ENIGMA, PANAMA, XTEA and WAKE.
 .
 Please note that this package is buggy and unmaintained by
 the upstream authors.  If you can, please look for other
 implementations (openssl, gnutls, gnupg).
